Alpha Software Mobile Development Tools:   Alpha Anywhere    |   Alpha TransForm subscribe to our YouTube Channel  Follow Us on LinkedIn  Follow Us on Twitter  Follow Us on Facebook

Announcement

Collapse

The Alpha Software Forum Participation Guidelines

The Alpha Software Forum is a free forum created for Alpha Software Developer Community to ask for help, exchange ideas, and share solutions. Alpha Software strives to create an environment where all members of the community can feel safe to participate. In order to ensure the Alpha Software Forum is a place where all feel welcome, forum participants are expected to behave as follows:
  • Be professional in your conduct
  • Be kind to others
  • Be constructive when giving feedback
  • Be open to new ideas and suggestions
  • Stay on topic


Be sure all comments and threads you post are respectful. Posts that contain any of the following content will be considered a violation of your agreement as a member of the Alpha Software Forum Community and will be moderated:
  • Spam.
  • Vulgar language.
  • Quotes from private conversations without permission, including pricing and other sales related discussions.
  • Personal attacks, insults, or subtle put-downs.
  • Harassment, bullying, threatening, mocking, shaming, or deriding anyone.
  • Sexist, racist, homophobic, transphobic, ableist, or otherwise discriminatory jokes and language.
  • Sexually explicit or violent material, links, or language.
  • Pirated, hacked, or copyright-infringing material.
  • Encouraging of others to engage in the above behaviors.


If a thread or post is found to contain any of the content outlined above, a moderator may choose to take one of the following actions:
  • Remove the Post or Thread - the content is removed from the forum.
  • Place the User in Moderation - all posts and new threads must be approved by a moderator before they are posted.
  • Temporarily Ban the User - user is banned from forum for a period of time.
  • Permanently Ban the User - user is permanently banned from the forum.


Moderators may also rename posts and threads if they are too generic or do not property reflect the content.

Moderators may move threads if they have been posted in the incorrect forum.

Threads/Posts questioning specific moderator decisions or actions (such as "why was a user banned?") are not allowed and will be removed.

The owners of Alpha Software Corporation (Forum Owner) reserve the right to remove, edit, move, or close any thread for any reason; or ban any forum member without notice, reason, or explanation.

Community members are encouraged to click the "Report Post" icon in the lower left of a given post if they feel the post is in violation of the rules. This will alert the Moderators to take a look.

Alpha Software Corporation may amend the guidelines from time to time and may also vary the procedures it sets out where appropriate in a particular case. Your agreement to comply with the guidelines will be deemed agreement to any changes to it.



Bonus TIPS for Successful Posting

Try a Search First
It is highly recommended that a Search be done on your topic before posting, as many questions have been answered in prior posts. As with any search engine, the shorter the search term, the more "hits" will be returned, but the more specific the search term is, the greater the relevance of those "hits". Searching for "table" might well return every message on the board while "tablesum" would greatly restrict the number of messages returned.

When you do post
First, make sure you are posting your question in the correct forum. For example, if you post an issue regarding Desktop applications on the Mobile & Browser Applications board , not only will your question not be seen by the appropriate audience, it may also be removed or relocated.

The more detail you provide about your problem or question, the more likely someone is to understand your request and be able to help. A sample database with a minimum of records (and its support files, zipped together) will make it much easier to diagnose issues with your application. Screen shots of error messages are especially helpful.

When explaining how to reproduce your problem, please be as detailed as possible. Describe every step, click-by-click and keypress-by-keypress. Otherwise when others try to duplicate your problem, they may do something slightly different and end up with different results.

A note about attachments
You may only attach one file to each message. Attachment file size is limited to 2MB. If you need to include several files, you may do so by zipping them into a single archive.

If you forgot to attach your files to your post, please do NOT create a new thread. Instead, reply to your original message and attach the file there.

When attaching screen shots, it is best to attach an image file (.BMP, .JPG, .GIF, .PNG, etc.) or a zip file of several images, as opposed to a Word document containing the screen shots. Because Word documents are prone to viruses, many message board users will not open your Word file, therefore limiting their ability to help you.

Similarly, if you are uploading a zipped archive, you should simply create a .ZIP file and not a self-extracting .EXE as many users will not run your EXE file.
See more
See less

i need a version that has no errors

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • i need a version that has no errors

    this is so annoying ... i am trying to finish a project for a customer
    and it looks like the current version of alpha v11 is having alot of issues .. the version is 3512_4124

    when i tried to contact support in alphasoftware.com
    the link is also down ...

    serioesly alpha you guys need to do something about bugs and issues .

    thing is when u know that ur code is working ... after update it do not work any more ..
    then u have to uninstall and go try for other versions ...
    when ur code works .. another bugs shows up ... such as component is not placed in a5w
    i am really suffering here .. all i want is just a fixed version with no bugs or at least a working version that can let me finish my project .
    please take this seriously .. i want to work PLEASE DO SOMETHING ABOUT IT SOON

    i am sure many people is struggling to sort this too ...
    or advice me what i should do with this case

    i want to execute insert statement after user hit submit in that grid .

    see how simple is that and i spent like 8 hours in this yet i cant resolve it
    why ?
    cus i don't know whats bugged and whats working and not working i dont wonna go through release and this crap
    i want to work for GOD SAKE !!!
    i can list 100 bugs right now in the current version ... those who get paid in alpha team for testing and re looking on the bugs should really have a serious look on what they are doing

    and please dont tell me send to alpha support cus u can see ur self links are down .http://98.129.175.162/support/support_incident.a5w

    and just more one thing ... you shouldn't let your IP for public ... this is a public site and people will think u r not professional if you keep these things

    if you think alpha should provide another version of v11 to fix all these bugs please write something and post it
    sorry if i was aggresive

    if you are busy fixing V12 and ignooring your old clients thats really bad ... thats really very bad alpha .
    i am already subscribed and i have the v12
    but we work with clients and clients do not understand anything but deliver products in time .

    Thanks and pls do something about it

    Thanks all
    Last edited by aal_fareed; 05-10-2013, 12:28 PM.
    To live anywhere in the world today and be against equality because of race or color is like living in Alaska and being against snow.

    - William Faulkner

  • #2
    Re: i need a version that has no errors

    Confused? The latest version is 3381-4096 ?

    Originally posted by aal_fareed View Post
    this is so annoying ... i am trying to finish a project for a customer
    and it looks like the current version of alpha v11 is having alot of issues .. the version is 3512_4124
    Glen Schild



    My Blog

    Comment


    • #3
      Re: i need a version that has no errors

      Confused? The latest version is 3381-4096 ?
      Ahmed is using a pre-release, which, yes, is warned against, but I too am using a pre-release because the releases often have bugs in them worse than the bugs or lack of features in the pre-release prior or after.

      Ahmed, I'm working on 3417_4101 which doesn't have anything wrong with it that I attribute to this build (except possibly a javascript error on mobile borwsers--I've had a hard time determining what's going on there), but it may be difficult to get the files and if you've saved things in a later build it may not fix them...

      Comment


      • #4
        Re: i need a version that has no errors

        Originally posted by christappan View Post
        Ahmed is using a pre-release, which, yes, is warned against, but I too am using a pre-release because the releases often have bugs in them worse than the bugs or lack of features in the pre-release prior or after.

        Ahmed, I'm working on 3417_4101 which doesn't have anything wrong with it that I attribute to this build (except possibly a javascript error on mobile borwsers--I've had a hard time determining what's going on there), but it may be difficult to get the files and if you've saved things in a later build it may not fix them...
        Which is why I "work" with the official release and even then do not automatically jump to it as soon as available. I will "dabble" with pre-releases BUT then wait for them to go live before even considering deploying to a live application.
        Glen Schild



        My Blog

        Comment


        • #5
          Re: i need a version that has no errors

          Thank you all
          I honestly don't have time to read what's official and what's is prerelease
          Christ
          Can u please paste a link for that version I think its gd and suit me as long as its only java bugged
          Please paste a link for that version now I really need to continuo working
          Thx all
          To live anywhere in the world today and be against equality because of race or color is like living in Alaska and being against snow.

          - William Faulkner

          Comment


          • #6
            Re: i need a version that has no errors

            Current Release
            http://downloads.alphasoftware.com/A...chDownload.ASP

            Release Candidate
            http://downloads.alphasoftware.com/A...easenotes.html

            Previous Releases
            http://downloads.alphasoftware.com/a...nate/index.htm
            Andrew

            Comment


            • #7
              Re: i need a version that has no errors

              Ok that's a step forward
              Do I have to download all this and setup it all and continuo working ?
              Pls confirm
              Thanks ashc
              To live anywhere in the world today and be against equality because of race or color is like living in Alaska and being against snow.

              - William Faulkner

              Comment


              • #8
                Re: i need a version that has no errors

                Ahmed, the prereleases have the word "prerelease" in the URL and all over the page. I'll tell you from my own personal experience that it's time well spent to wait on some level of validation from users on the forum and time between new pre-release builds before installing them.

                I don't jump on them either, Glen, but time and time again I wait for other users to confirm a build seems to be working well and I install it and roll it out only to learn of some random bug a few days later. Often the official release has bugs that can't be ignored, so that's not a consistently viable option either.

                I don't think anyone is going to argue that Alpha's builds are consistently (or ever) bug-free.

                You actually can't get to previous pre-releases, so Ahmed, if you've been downloading each pre-release when they've come out, that is your de facto file source. In terms of what to download, it doesn't matter which build, but builds always need to match between the developer and the application server, and it doesn't hurt to do project backups prior to installing a new build and to do Edit > Bulk Operation > Update Compiled Files for AJAX grids to make sure the javascript in your components works with the javascript files in the build you're using.

                Comment


                • #9
                  Re: i need a version that has no errors

                  Does anyone know when these pre-releases will become a proper release? Or indeed if they ever will?

                  I have been waiting for sometime now for a fix for the buggy browse component.

                  I know the fix is in the pre-release that's available for download (by searching these forumns). But I do not want to use a "pre-release" as it rather suggests that this may cause more problems! Especially after reading the warnings on the download site.

                  Come on Alpha why can't you release this properly???

                  I may be forced to switch to another product, if you cannot support your software in a timely manner!!!

                  Comment


                  • #10
                    Re: i need a version that has no errors

                    Is version 11 still actively developed? Do we still get new features that will break something old?.

                    To me is seems that there is just bugs that has been fixed. How many stable releases we still will get?
                    Also developer can use common sense here.

                    Just install the latest per-release. If you then find some bug report it and maybe they still fix it.
                    Of course you can continue to wait stable(?) release and then find the bug but maybe it is then too late to get it fixed anymore.

                    Comment


                    • #11
                      Re: i need a version that has no errors

                      At this stage the v11 pre-releases are very stable. There have been so many bug fixes and improvements since the "latest official release" that I would recommend everyone move up to the latest pre-release. I run nothing but prereleases on a live site for this very reason, but I backup my files before moving over (including your installers) and I test all components offline before making the switchover.

                      With upgrades, you often need to edit (or rebuild) each of your components or they may appear to be broken. They are not really broken, just need to rebuild themselves properly. Sometimes you even need to drill into the builders in order to trigger a full rebuild of all parts.

                      I doubt that enhancements are being made for v11 - which suits me fine as I am very happy with how it performs in my environment. It is not a perfect product and there are still some minor bugs around, but they can usually be worked around without too much fuss. Once you work around a bug or limitation, then you don't notice it anymore and it is not an issue. This is also true with pretty much any other development platform.
                      Last edited by agillbb; 08-16-2013, 04:00 PM.

                      Comment


                      • #12
                        Re: i need a version that has no errors

                        You install prereleases on all of your clients' servers when theyre released?
                        Many of us dont have the time/luxury to constantly be updating.

                        You cannot afford to constantly upgrade your server version every week. its just not viable in a production situation.
                        Yes, things get fixed when you upgrade. but other things also break.

                        Updating the server version every 2 weeks is impossible, especially when you use 1 version of the IDE.
                        You really want me to install multiple IDEs to support multiple project versions on multiple servers?

                        Its just not viable, imho
                        Scott Moniz - Computer Programmer/Analyst
                        REA Inc.
                        http://reainc.net
                        (416)-533-3777
                        [email protected]

                        REA INC offers consulting services, programming services, systems design, database design, third party payment gateway integration (CHASE, PAYPAL, AUTHORIZE.NET) and developer support.
                        If you need custom code, or 1-to-1 mentoring in any facet of your database/web application design,
                        contact us to discuss options.

                        Comment


                        • #13
                          Re: i need a version that has no errors

                          Not viable for your scenario Scott, I agree. But those of us with 1 or 2 applications can decide when "it is time" to try a newer release without any serious risks.

                          Comment

                          Working...
                          X